Summary:	Linux USB utilities
Name:		usbutils
Version:	006
Release:	1
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		https://github.com/gregkh/usbutils
Source0:	http://www.kernel.org/pub/linux/utils/usb/usbutils/%{name}-%{version}.tar.bz2
BuildRequires:	libusb-devel
Requires:	ldetect-lst >= 0.1.282

%description
This package contains the lsusb utility for inspecting the devices 
connected to the USB bus. It shows a graphical representation of the 
devices that are currently plugged in, showing the topology of the 
USB bus. It also displays information on each individual device on 
the bus.

%package devel
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}

%description devel
Development files and headers for %{name}.


%prep
%setup -q

%build
%configure2_5x \
	--disable-zlib
%make

%install
%makeinstall_std

# do not package usb.ids, handled by ldetect-lst now
rm -f %{buildroot}/%{_datadir}/usb.ids

%files
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/*/*

%files devel
%doc AUTHORS ChangeLog README
%{_datadir}/pkgconfig/usbutils.pc


%changelog
* Mon Jul 09 2012 Alexander Khrukin <akhrukin@mandriva.org> 006-1
+ Revision: 808562
- version update 006

* Sun May 27 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 005-3
+ Revision: 800804
- package usbutils.pc in a devel subpackage (needed for new systemd-183)

* Fri May 18 2012 Matthew Dawkins <mattydaw@mandriva.org> 005-2
+ Revision: 799475
- remove pkgconfig file

* Wed Dec 14 2011 Alexander Khrukin <akhrukin@mandriva.org> 005-1
+ Revision: 741028
- version update 005

* Sat Aug 27 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 004-1
+ Revision: 697247
- update to new version 004 (big jump :)

* Fri May 06 2011 Oden Eriksson <oeriksson@mandriva.com> 0.91-2
+ Revision: 670753
- mass rebuild

* Sat Oct 23 2010 Thomas Backlund <tmb@mandriva.org> 0.91-1mdv2011.0
+ Revision: 587800
- update to 0.91

* Sat Sep 04 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.90-1mdv2011.0
+ Revision: 575879
- update to new version 0.90

* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.87-1mdv2010.1
+ Revision: 543221
- update to new version 0.87

* Fri Jan 08 2010 Frederic Crozat <fcrozat@mandriva.com> 0.86-2mdv2010.1
+ Revision: 487686
- Remove usb.ids, moved to ldetect-lst

* Tue Aug 18 2009 Thierry Vignaud <tv@mandriva.org> 0.86-1mdv2010.0
+ Revision: 417753
- new release
- adjust filelist
- add alternative URL
- drop BuildConflicts: zlib-devel (useless with the configure option)

* Sun Jun 28 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.84-2mdv2010.0
+ Revision: 390294
- remove buildrequires on wget

* Thu Jun 25 2009 trem <trem@mandriva.org> 0.84-1mdv2010.0
+ Revision: 389227
- update to 0.84
- remove launch of ./update-usbids.sh

* Mon May 11 2009 Thierry Vignaud <tv@mandriva.org> 0.82-1mdv2010.0
+ Revision: 374593
- new release
- drop patch 1 (fixed upstream)

* Tue May 05 2009 Thierry Vignaud <tv@mandriva.org> 0.81-1mdv2010.0
+ Revision: 372107
- new release
- prevent aborting build when network is not available
- patch 0: drop it (not documented why it's there, and anyway upstream is
  switching from /proc/bus/usb to /dev/bus/usb, not to /sys/)
- patch 1: add missing update-usbids.sh (already fixed in git upstream)

* Tue Feb 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.73-3mdv2009.1
+ Revision: 339065
- new license policy
- Patch0: add support for sysfs
- hal doesn't read gzip'd usb.ids file, buildconflict on zlib-devel
- run update-usbids.sh to fetch latest usb.ids from upstream
- better description

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.73-2mdv2009.0
+ Revision: 225910
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Fri Oct 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.73-1mdv2008.1
+ Revision: 102463
- new version
- disable patch 0 for now

* Fri Oct 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.72-4mdv2008.1
+ Revision: 100089
- rediff patch 0, should fix bug #34887

* Mon Aug 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.72-3mdv2008.0
+ Revision: 68038
- provide patch 1 (more ids from Diego Flameeyes Petteno and me ;)
- spec file clean

